summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Spencer2017-11-20 03:05:10 +0100
committer Willy Sudiarto Raharjo2017-11-20 03:05:10 +0100
commitb02669ce78ab496c06d1c1995dc60186e1cc4fe1 (patch)
tree2ccccd6d6b4be9bdd34327b3ecb736c615ed4cbd
parent9981f14ae3d7a5b42714aece88bd19f3180988b9 (diff)
downloadslackbuilds-b02669ce78ab496c06d1c1995dc60186e1cc4fe1.tar.gz
perl/perl-File-Share: Added (perl module File::Share).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--perl/perl-File-Share/README6
-rw-r--r--perl/perl-File-Share/perl-File-Share.SlackBuild78
-rw-r--r--perl/perl-File-Share/perl-File-Share.info10
-rw-r--r--perl/perl-File-Share/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/perl/perl-File-Share/README b/perl/perl-File-Share/README
new file mode 100644
index 0000000000..e7b979aa84
--- /dev/null
+++ b/perl/perl-File-Share/README
@@ -0,0 +1,6 @@
+perl module File::Share
+
+This module is a drop-in replacement for File::ShareDir. It supports
+the dist_dir and dist_file functions, except these functions have been
+enhanced to understand when the developer's local ./share/ directory
+should be used.
diff --git a/perl/perl-File-Share/perl-File-Share.SlackBuild b/perl/perl-File-Share/perl-File-Share.SlackBuild
new file mode 100644
index 0000000000..3f7b800a5c
--- /dev/null
+++ b/perl/perl-File-Share/perl-File-Share.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for perl-File-Share
+
+# Copyright 2017 David Spencer, Baildon, West Yorkshire, U.K.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-File-Share
+VERSION=${VERSION:-0.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changes CONTRIBUTING LICENSE MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-File-Share/perl-File-Share.info b/perl/perl-File-Share/perl-File-Share.info
new file mode 100644
index 0000000000..e1db7b0d35
--- /dev/null
+++ b/perl/perl-File-Share/perl-File-Share.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-File-Share"
+VERSION="0.25"
+HOMEPAGE="https://metacpan.org/pod/File::Share"
+DOWNLOAD="https://cpan.metacpan.org/authors/id/I/IN/INGY/File-Share-0.25.tar.gz"
+MD5SUM="214cb8d14627cbff13e0a6de3ac18bb0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-File-ShareDir"
+MAINTAINER="David Spencer"
+EMAIL="baildon.research@googlemail.com"
diff --git a/perl/perl-File-Share/slack-desc b/perl/perl-File-Share/slack-desc
new file mode 100644
index 0000000000..e85a8779cf
--- /dev/null
+++ b/perl/perl-File-Share/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-File-Share: perl-File-Share (perl module File::Share)
+perl-File-Share:
+perl-File-Share: This module is a drop-in replacement for File::ShareDir. It supports
+perl-File-Share: the dist_dir and dist_file functions, except these functions have
+perl-File-Share: been enhanced to understand when the developer's local ./share/
+perl-File-Share: directory should be used.
+perl-File-Share:
+perl-File-Share:
+perl-File-Share:
+perl-File-Share:
+perl-File-Share: